## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname aioruckus

# Tests are disabled as they require a live deployment to test against
%bcond_with tests

Name:           python-%{srcname}
Version:        0.37
Release:        %autorelease
Summary:        Interact with Ruckus Unleashed and ZoneDirector devices

License:        0BSD
URL:            https://github.com/ms264556/aioruckus
Source:         %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3-pytest
%endif

%global _description %{expand:
This package provides a Python API which interacts with Ruckus Unleashed and
ZoneDirector devices via their AJAX Web Service interface. Configuration
information can also be queried from Ruckus Unleashed and ZoneDirector backup
files.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%if %{with tests}
%pytest
%else
%pyproject_check_import
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.37-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.37-2
- Rebuilt for Python 3.13

* Wed Jan 24 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.37-1
- Initial import; Fixes: RHBZ#2259305
## END: Generated by rpmautospec
